﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.search-input {
    border-radius: 15px;
}

.expander > .expander-content {
    display: none;
}

.expander:target > .expander-content {
    display: initial;
}

.expander:target > .expander-link {
    display: none;
}

html {
    scroll-behavior: smooth;
}

.modal {
    display: none;
}

    .modal:target {
        display: block;
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: #ffffff80;
    }

.modal-content {
    display: inherit;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    width: 50vw;
    height: 50vh;
    min-width: 300px;
    min-height: 600px;
    background: #ffffff;
    border: 1px solid #cccccc;
    border-radius: 20px;
    padding: 20px;
}

.modal-close {
    display: block;
    position: absolute;
    right: 20px;
    top: 10px;
    font-size: 300%;
}

    /* Mimicking fas fa-times from font awesome */
    .modal-close::before {
        content: "\f00d";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        font-style: normal;
        font-variant: normal;
        text-rendering: auto;
        line-height: 1;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        color: #000;
    }

.alert-card {
    border: 6px solid #d65;
}

.alert-card a.btn {
    background: #d65;
}

.alert-card a.btn:hover {
    background: inherit;
}

.menu-item {
    color: #fff;
}

.menu-text {
    color:#fff;
}

.btn {
    color: #fff;
}